org.apache.ignite.internal.processors.cache.persistence.wal

## Class FileWriteAheadLogManager.ReadFileHandle

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.wal.filehandle.AbstractFileHandle
  - - org.apache.ignite.internal.processors.cache.persistence.wal.FileWriteAheadLogManager.ReadFileHandle

All Implemented Interfaces:
  AbstractWalRecordsIterator.AbstractReadFileHandle

Enclosing class:
  FileWriteAheadLogManager

    public static class FileWriteAheadLogManager.ReadFileHandle
    extends AbstractFileHandle
    implements AbstractWalRecordsIterator.AbstractReadFileHandle

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.wal.filehandle.AbstractFileHandle

`fileIO`

### Constructor Summary

Constructors
Constructor and Description
`ReadFileHandle(SegmentIO fileIO, RecordSerializer ser, FileInput in, SegmentAware aware)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`long` `idx()`
`FileInput` `in()`
`RecordSerializer` `ser()`
`boolean` `workDir()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.wal.filehandle.AbstractFileHandle

`getSegmentId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReadFileHandle

    public ReadFileHandle(SegmentIO fileIO,
                          RecordSerializer ser,
                          FileInput in,
                          SegmentAware aware)

Parameters:
  `fileIO` - I/O interface for read/write operations of AbstractFileHandle.
  `ser` - Entry serializer.
  `in` - File input.
  `aware` - Segment aware.

### Method Detail

#### close

    public void close()
               throws IgniteCheckedException

Specified by:
  `close` in interface `AbstractWalRecordsIterator.AbstractReadFileHandle`
Throws:
  `IgniteCheckedException` - If failed to close the WAL segment file.

#### idx

    public long idx()

Specified by:
  `idx` in interface `AbstractWalRecordsIterator.AbstractReadFileHandle`

#### in

    public FileInput in()

Specified by:
  `in` in interface `AbstractWalRecordsIterator.AbstractReadFileHandle`

#### ser

    public RecordSerializer ser()

Specified by:
  `ser` in interface `AbstractWalRecordsIterator.AbstractReadFileHandle`

#### workDir

    public boolean workDir()

Specified by:
  `workDir` in interface `AbstractWalRecordsIterator.AbstractReadFileHandle`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022